Skip to main content
POST
curl
With ?stream=true, returns the raw partial JSON text stream expected by AI SDK v5 useObject. The streamed JSON is the task output itself. Required ACL: search

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

agentId
required

The agentId.

Query Parameters

analytics
boolean
default:true

Set to false to skip endpoint-specific analytics for this task call (default: true). Disables the task analytics event; operational metrics and traces are always emitted.

cache
boolean
default:true

Use cached responses if available.

stream
boolean
default:false

Whether to stream the response or not.

Body

application/json

Strict request body with a task selector and input.

Unknown top-level fields are rejected so clients cannot pass trusted configuration fields (prompts, schemas, providers, models, generation settings) at runtime.

input
input Ā· object
required

Arbitrary JSON input passed to the task as data.

configuration
agentTestConfiguration Ā· object

Dynamic configuration for testing agents.

kind
enum<string>

Supported task behaviors used for default task resolution.

Available options:
prompt_suggestions
task
string

ID of the configured task to run.

Required string length: 3 - 64
Example:

"algolia_on_page_suggestions"

Response

Successful Response.

Response body for a completed task run.

output
output Ā· object
required
Last modified on October 12, 2026